Name:		cheat
Version:	2.5.1
Release:	6%{?dist}
Summary:	Help for various commands and their use cases

License:	MIT or GPLv3
URL:		https://github.com/cheat/cheat
Source0:	%{url}/archive/%{version}.tar.gz	

BuildRequires:	python3-devel
Requires:	python3
Requires:	python3-docopt python3-pygments python3-termcolor

BuildArch:      noarch

%description
Cheat allows you to create and view interactive cheatsheets
on the command-line. It was designed to help remind *nix system
administrators of options for commands that they use frequently,
but not frequently enough to remember. 

%package bash-completion
Summary:	Bash completion support for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	bash bash-completion

%description bash-completion
Files needed to support bash completion.

%package fish-completion
Summary:	Fish completion support for %{name}
BuildArch:	noarch
Requires:       %{name} = %{version}-%{release}
Requires:	fish

%description fish-completion
Files needed to support fish completion.

%package zsh-completion
Summary:	Zsh completion support for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	zsh

%description zsh-completion
Files needed to support zsh completion.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
mkdir -m0755 -p %{buildroot}%{_mandir}/man1
gunzip man1/cheat.1.gz 
install -p -m0644 man1/cheat.1 %{buildroot}%{_mandir}/man1/cheat.1
mkdir -m0755 -p %{buildroot}%{_datadir}/bash-completion/completions
install -p -m0644 cheat/autocompletion/cheat.bash %{buildroot}%{_datadir}/bash-completion/completions/cheat
mkdir -m0755 -p %{buildroot}%{_datadir}/fish/vendor_completions.d
install -p -m0644 cheat/autocompletion/cheat.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/cheat.fish
mkdir -m0755 -p %{buildroot}%{_datadir}/zsh/site-functions
install -p -m0644 cheat/autocompletion/cheat.zsh %{buildroot}%{_datadir}/zsh/site-functions/_cheat

%files
%license LICENSE licenses/gpl-3.txt licenses/mit.txt
%doc README.md CONTRIBUTING.md
%config(noreplace) %{_sysconfdir}/cheat
%{_bindir}/cheat
%{python3_sitelib}/cheat
%{python3_sitelib}/cheat-%{version}-py%{python3_version}.egg-info
%{_datadir}/cheat
%{_mandir}/man1/cheat.1*

%files bash-completion
%{_datadir}/bash-completion/completions/cheat

%files fish-completion
%{_datadir}/fish/vendor_completions.d/cheat.fish

%files zsh-completion
%{_datadir}/zsh/site-functions/_cheat

%changelog
* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 2.5.1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.5.1-5
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 01 2019 Tomas Korbar <tkorbar@redhat.com> - 2.5.1-3
- Fix typo in fish completions folder
- Related: 1716145

* Wed Jun 12 2019 Tomas Korbar <tkorbar@redhat.com> - 2.5.1-2
- 1716145 - Package autocompletion files for cheat

* Wed Feb 20 2019 Tomas Korbar <tkorbar@redhat.com> - 2.5.1-1
- Specfile changed accordingly to review

* Mon Jan 28 2019 Tomas Korbar tkorbar@redhat.com - 2.5.1-1
- Initial commit of package
